Bug 1039052 - [Errno -1] repomd.xml does not match metalink for updates [NEEDINFO]
Summary: [Errno -1] repomd.xml does not match metalink for updates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-06 13:27 UTC by Michael Schwendt
Modified: 2013-12-20 07:05 UTC (History)
11 users (show)

Fixed In Version: yum-3.4.3-120.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-10 06:11:39 UTC
jan.kratochvil: needinfo? (packaging-team-maint)


Attachments (Terms of Use)

Description Michael Schwendt 2013-12-06 13:27:13 UTC
As mentioned in bodhi ticket for yum-3.4.3-119.fc20.noarch it's fully reproducible here. Output before includes the downgrade attempt, too:

# rpm -q yum
yum-3.4.3-119.fc20.noarch
# yum clean metadata
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
Cleaning repos: adobe-linux-x86_64 fedora rpmfusion-free-rawhide updates
              : updates-testing
27 metadata files removed
10 sqlite files removed
0 metadata files removed
[root@noname ~]# yum update
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
adobe-linux-x86_64                                       |  951 B     00:00     
fedora/20/x86_64/metalink                                |  25 kB     00:00     
fedora                                                   | 4.2 kB     00:00     
rpmfusion-free-rawhide                                   | 3.3 kB     00:00     
updates/20/x86_64/metalink                               |  29 kB     00:00     
updates                                                  | 3.4 kB     00:00     
http://mirror.nl.leaseweb.net/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://mirror.ox.ac.uk/sites/download.fedora.redhat.com/pub/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://fedora.intergenia.de/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://ftp.uni-kl.de/pub/linux/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://ftp.uni-siegen.de/fedora/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://fedora.aau.at/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://ftp.udl.es/pub/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://ftp.tudelft.nl/download.fedora.redhat.com/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://ftp.ntua.gr/pub/linux/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://ftp.astral.ro/mirrors/fedora/pub/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
ftp://ftp.man.poznan.pl/pub/linux/fedora/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://fedora.linux.ee/pub/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
^Chttp://darkstar.ist.utl.pt/fedora/updates/20/x86_64/repodata/repomd.xml: [Errno -1] Error importing repomd.xml for updates: Damaged repomd.xml file
Trying other mirror.
^Cftp://ftp.fsn.hu/pub/linux/distributions/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno 14] curl#23 - "Failed writing header"
Trying other mirror.
^C^C
 Current download cancelled, interrupt (ctrl-c) again within two seconds
to exit.

^Chttp://ftp.freepark.org/pub/linux/distributions/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] Error importing repomd.xml for updates: Damaged repomd.xml file
Trying other mirror.
^Chttp://mirror1.atrpms.net/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] Error importing repomd.xml for updates: Damaged repomd.xml file
Trying other mirror.
^C^C^C

Exiting on user cancel





# yum --disablerepo=updates,updates-testing downgrade yum
...
# yum clean metadata
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
Cleaning repos: adobe-linux-x86_64 fedora rpmfusion-free-rawhide updates
              : updates-testing
14 metadata files removed
5 sqlite files removed
0 metadata files removed
# yum clean metadata
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
Cleaning repos: adobe-linux-x86_64 fedora rpmfusion-free-rawhide updates
              : updates-testing
14 metadata files removed
5 sqlite files removed
0 metadata files removed
[root@noname ~]# yum update
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
adobe-linux-x86_64                                       |  951 B     00:00     
fedora/20/x86_64/metalink                                |  25 kB     00:00     
fedora                                                   | 4.2 kB     00:00     
rpmfusion-free-rawhide                                   | 3.3 kB     00:00     
updates/20/x86_64/metalink                               |  29 kB     00:00     
updates                                                  | 3.4 kB     00:00     
updates-testing/20/x86_64/metalink                       |  26 kB     00:00     
updates-testing                                          | 4.6 kB     00:00     
(1/5): fedora/20/x86_64/group_gz                           | 394 kB   00:00     
(2/5): updates/20/x86_64/primary_db                        | 1.2 kB   00:00     
(3/5): updates-testing/20/x86_64/group_gz                  | 394 kB   00:00     
(4/5): updates-testing/20/x86_64/primary_db                | 2.7 MB   00:03     
(5/5): fedora/20/x86_64/primary_db                         |  18 MB   00:15     
(1/5): rpmfusion-free-rawhide/x86_64/group_gz              | 1.6 kB   00:00     
(2/5): adobe-linux-x86_64/primary                          | 1.2 kB   00:00     
(3/5): updates-testing/20/x86_64/updateinfo                | 278 kB   00:00     
(4/5): updates-testing/20/x86_64/pkgtags                   | 717 kB   00:00     
(5/5): rpmfusion-free-rawhide/x86_64/primary_db            | 373 kB   00:01     
adobe-linux-x86_64                                                          2/2
Resolving Dependencies
--> Running transaction check
---> Package yum.noarch 0:3.4.3-106.fc20 will be updated
---> Package yum.noarch 0:3.4.3-119.fc20 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package    Arch          Version                  Repository              Size
================================================================================
Updating:
 yum        noarch        3.4.3-119.fc20           updates-testing        1.2 M

Transaction Summary
================================================================================
Upgrade  1 Package

Total size: 1.2 M
Is this ok [y/d/N]: y
Downloading packages:
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Updating   : yum-3.4.3-119.fc20.noarch                                    1/2 
  Cleanup    : yum-3.4.3-106.fc20.noarch                                    2/2 
  Verifying  : yum-3.4.3-119.fc20.noarch                                    1/2 
  Verifying  : yum-3.4.3-106.fc20.noarch                                    2/2 

Updated:
  yum.noarch 0:3.4.3-119.fc20                                                   

Complete!

# yum clean metadata
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
Cleaning repos: adobe-linux-x86_64 fedora rpmfusion-free-rawhide updates
              : updates-testing
23 metadata files removed
10 sqlite files removed
0 metadata files removed
# yum clean metadata
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
Cleaning repos: adobe-linux-x86_64 fedora rpmfusion-free-rawhide updates
              : updates-testing
23 metadata files removed
10 sqlite files removed
0 metadata files removed
[root@noname ~]# yum update
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
adobe-linux-x86_64                                       |  951 B     00:00     
fedora/20/x86_64/metalink                                |  25 kB     00:00     
fedora                                                   | 4.2 kB     00:00     
rpmfusion-free-rawhide                                   | 3.3 kB     00:00     
updates/20/x86_64/metalink                               |  29 kB     00:00     
updates                                                  | 3.4 kB     00:00     
http://mirror.nl.leaseweb.net/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://ftp.uni-kl.de/pub/linux/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://fedora.intergenia.de/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://ftp.uni-siegen.de/fedora/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://ftp.astral.ro/mirrors/fedora/pub/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
^C^C^C^C^C^C^C^C^C^C^C^C^C^C

Comment 1 Michael Schwendt 2013-12-06 13:32:51 UTC
And another try, starting with the old yum from "fedora" repo:

# yum clean expire-cache metadata 
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
Cleaning repos: adobe-linux-x86_64 fedora rpmfusion-free-rawhide updates
              : updates-testing
25 metadata files removed
10 sqlite files removed
0 metadata files removed
[root@noname ~]# yum update yum
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
adobe-linux-x86_64                                       |  951 B     00:00     
fedora/20/x86_64/metalink                                |  25 kB     00:00     
fedora                                                   | 4.2 kB     00:00     
rpmfusion-free-rawhide                                   | 3.3 kB     00:00     
updates/20/x86_64/metalink                               |  29 kB     00:00     
updates                                                  | 3.4 kB     00:00     
updates-testing/20/x86_64/metalink                       |  26 kB     00:00     
updates-testing                                          | 4.6 kB     00:00     
(1/5): updates/20/x86_64/primary_db                        | 1.2 kB   00:00     
(2/5): fedora/20/x86_64/group_gz                           | 394 kB   00:01     
(3/5): updates-testing/20/x86_64/group_gz                  | 394 kB   00:01     
(4/5): updates-testing/20/x86_64/primary_db                | 2.7 MB   00:03     
(5/5): fedora/20/x86_64/primary_db                         |  18 MB   00:14     
(1/5): rpmfusion-free-rawhide/x86_64/group_gz              | 1.6 kB   00:00     
(2/5): adobe-linux-x86_64/primary                          | 1.2 kB   00:00     
(3/5): updates-testing/20/x86_64/updateinfo                | 278 kB   00:00     
(4/5): updates-testing/20/x86_64/pkgtags                   | 717 kB   00:00     
(5/5): rpmfusion-free-rawhide/x86_64/primary_db            | 373 kB   00:01     
adobe-linux-x86_64                                                          2/2
Resolving Dependencies
--> Running transaction check
---> Package yum.noarch 0:3.4.3-106.fc20 will be updated
---> Package yum.noarch 0:3.4.3-119.fc20 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package    Arch          Version                  Repository              Size
================================================================================
Updating:
 yum        noarch        3.4.3-119.fc20           updates-testing        1.2 M

Transaction Summary
================================================================================
Upgrade  1 Package

Total size: 1.2 M
Is this ok [y/d/N]: y
Downloading packages:
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Updating   : yum-3.4.3-119.fc20.noarch                                    1/2 
  Cleanup    : yum-3.4.3-106.fc20.noarch                                    2/2 
  Verifying  : yum-3.4.3-119.fc20.noarch                                    1/2 
  Verifying  : yum-3.4.3-106.fc20.noarch                                    2/2 

Updated:
  yum.noarch 0:3.4.3-119.fc20                                                   

Complete!

# yum clean expire-cache metadata 
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
Cleaning repos: adobe-linux-x86_64 fedora rpmfusion-free-rawhide updates
              : updates-testing
23 metadata files removed
10 sqlite files removed
0 metadata files removed
[root@noname ~]# yum repolist
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
adobe-linux-x86_64                                       |  951 B     00:00     
fedora/20/x86_64/metalink                                |  25 kB     00:00     
fedora                                                   | 4.2 kB     00:00     
rpmfusion-free-rawhide                                   | 3.3 kB     00:00     
updates/20/x86_64/metalink                               |  29 kB     00:00     
updates                                                  | 3.4 kB     00:00     
http://mirror.nl.leaseweb.net/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://ftp.uni-kl.de/pub/linux/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://fedora.intergenia.de/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://ftp.uni-siegen.de/fedora/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://ftp.astral.ro/mirrors/fedora/pub/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://ftp.ntua.gr/pub/linux/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
ftp://ftp.man.poznan.pl/pub/linux/fedora/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://ftp.tudelft.nl/download.fedora.redhat.com/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://ftp.udl.es/pub/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
ftp://ftp.fsn.hu/pub/linux/distributions/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://gd.tuwien.ac.at/opsys/linux/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://fedora.aau.at/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://fedora.linux.ee/pub/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://ftp.freepark.org/pub/linux/distributions/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
http://darkstar.ist.utl.pt/fedora/updates/20/x86_64/repodata/repomd.xml: [Errno 12] Timeout on http://darkstar.ist.utl.pt/fedora/updates/20/x86_64/repodata/repomd.xml: (28, 'Connection timed out after 30001 milliseconds')
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://mirror.ox.ac.uk/sites/download.fedora.redhat.com/pub/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://ftp.free.fr/mirrors/fedora.redhat.com/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
ftp://ftp.uninett.no/pub/linux/Fedora/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://mirrors.linux.edu.lv/ftp.redhat.com/pub/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://mirror2.hs-esslingen.de/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://mirror2.atrpms.net/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://mirror.proserve.nl/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://sunsite.mff.cuni.cz/MIRRORS/fedora.redhat.com/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://nl.mirror.eurid.eu/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://ftp.fi.muni.cz/pub/linux/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                  | 3.4 kB     00:00     
http://mirror.digitalnova.at/fedora/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
^C

Comment 2 Igor Gnatenko 2013-12-06 13:55:27 UTC
Confirm

Comment 3 Fedora Update System 2013-12-06 14:24:31 UTC
yum-3.4.3-120.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/yum-3.4.3-120.fc19

Comment 4 Fedora Update System 2013-12-06 14:32:51 UTC
yum-3.4.3-120.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/yum-3.4.3-120.fc20

Comment 5 Fedora Update System 2013-12-06 19:59:14 UTC
Package yum-3.4.3-120.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-3.4.3-120.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22841/yum-3.4.3-120.fc20
then log in and leave karma (feedback).

Comment 6 Arnaud 2013-12-07 11:50:19 UTC
yum-3.4.3-120.fc20 solved this issue for me, thanks

Comment 7 Dan Mashal 2013-12-08 09:28:55 UTC
Proposing as a freeze exception.

Comment 8 Christian Kujau 2013-12-09 06:28:02 UTC
yum-3.4.3-120.fc20 fixed this for me as well - thanks!

Comment 9 Adam Williamson 2013-12-09 18:13:43 UTC
dan: the broken one never went stable, it does not need an FE. -106 is not affected.

Comment 10 Fedora Update System 2013-12-10 06:11:39 UTC
yum-3.4.3-120.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-12-14 03:30:23 UTC
yum-3.4.3-120.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Jan Kratochvil 2013-12-19 20:15:49 UTC
Shouldn't this be sent to <announce@lists.fedoraproject.org>?
At least my F-19 was stuck now for two weeks before I finally googled out this Bug and upgraded yum by downloading the build by hand.
Only one of my two F-19 boxes was stuck this way, unaware what is the difference.

Comment 13 Michael Schwendt 2013-12-20 02:28:18 UTC
Which version of Yum for F19 could you reproduce it with? yum-3.4.3-119.fc19 has only been in updates-testing. I dunno if the previous stable one from early October (-111.fc19 which was newer than the unaffected -106.fc20) was also affected. I consider it unlikely.
https://admin.fedoraproject.org/updates/search/yum

Comment 14 Jan Kratochvil 2013-12-20 07:05:52 UTC
(In reply to Michael Schwendt from comment #13)
> Which version of Yum for F19 could you reproduce it with? yum-3.4.3-119.fc19
> has only been in updates-testing.

Yes, -119, this is updates-testing enabled box.
Dec 06 00:28:13 Updated: yum-3.4.3-119.fc19.noarch

You are right my other box does not have updates-testing enabled, so all updates-testing boxes got stucked.  Maybe the updates-testing people are savvy enough to find it out but I spent some time debugging it first.


Note You need to log in before you can comment on or make changes to this bug.